VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Static Public Attributes | List of all members
IAttributeList Class Referenceabstract
VST 3 Interfaces to be implemented by the Host | VST 3 Interfaces defined in version 3.0.0

Attribute list used in IMessage and IStreamAttributes. More...

`#include <ivstattributes.h>`

Inheritance diagram for IAttributeList:

## Public Types
typedef const char * | AttrID

## Public Member Functions
virtual tresult | setInt (AttrID id, int64 value)=0
| Sets integer value. More...
virtual tresult | getInt (AttrID id, int64 &value)=0
| Gets integer value. More...
virtual tresult | setFloat (AttrID id, double value)=0
| Sets float value. More...
virtual tresult | getFloat (AttrID id, double &value)=0
| Gets float value. More...
virtual tresult | setString (AttrID id, const TChar *string)=0
| Sets string value (UTF16). More...
virtual tresult | getString (AttrID id, TChar *string, uint32 size)=0
| Gets string value (UTF16). More...
virtual tresult | setBinary (AttrID id, const void *data, uint32 size)=0
| Sets binary data. More...
virtual tresult | getBinary (AttrID id, const void *&data, uint32 &size)=0
| Gets binary data. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Attribute list used in IMessage and IStreamAttributes.

- [host imp]
- [released: 3.0.0]

An attribute list associates values with a key (id: some predefined keys could be found in Predefined Preset Attributes).

## Member Typedef Documentation

typedef const char* AttrID

## Member Function Documentation

virtual tresult setInt | ( | AttrID | id,
|  | int64 | value
| ) |  |
| pure virtual

Sets integer value.

Implemented in HostAttributeList.

virtual tresult getInt | ( | AttrID | id,
|  | int64 & | value
| ) |  |
| pure virtual

Gets integer value.

Implemented in HostAttributeList.

virtual tresult setFloat | ( | AttrID | id,
|  | double | value
| ) |  |
| pure virtual

Sets float value.

Implemented in HostAttributeList.

virtual tresult getFloat | ( | AttrID | id,
|  | double & | value
| ) |  |
| pure virtual

Gets float value.

Implemented in HostAttributeList.

virtual tresult setString | ( | AttrID | id,
|  | const TChar * | string
| ) |  |
| pure virtual

Sets string value (UTF16).

Implemented in HostAttributeList.

virtual tresult getString | ( | AttrID | id,
|  | TChar * | string,
|  | uint32 | size
| ) |  |
| pure virtual

Gets string value (UTF16).

Note that Size is in Byte, not the string Length! (Do not forget to multiply the length by sizeof (TChar)!)

Implemented in HostAttributeList.

virtual tresult setBinary | ( | AttrID | id,
|  | const void * | data,
|  | uint32 | size
| ) |  |
| pure virtual

Sets binary data.

Implemented in HostAttributeList.

virtual tresult getBinary | ( | AttrID | id,
|  | const void *& | data,
|  | uint32 & | size
| ) |  |
| pure virtual

Gets binary data.

Implemented in HostAttributeList.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.